#ifndef MMYTH_UICOMMON_H_
#define MMYTH_UICOMMON_H_

#include "config.h"

#include <gtk/gtk.h>
#include <glib.h>

#ifndef MAEMO_PLATFORM
#define BUTTON_HEIGHT        50
#define BUTTON_WIDTH        100
#else
#define BUTTON_HEIGHT       80
#define BUTTON_WIDTH        150
#endif

#define MAIN_WINDOW_WIDTH	550
#define MAIN_WINDOW_HEIGHT	250

#define CHANNELS_DIALOG_WIDTH	300
#define CHANNELS_DIALOG_HEIGHT	200

#define SETTINGS_DIALOG_WIDTH	300
#define SETTINGS_DIALOG_HEIGHT	120

extern GdkColor main_bg_color;

typedef struct _MMythUiCommon {
    GtkWidget      *main_widget;

    /*
     * event box to set the background color
     */
    GtkWidget      *event_box;

    GtkWidget      *vbox;
    GtkWidget      *button_vbox;
    GtkWidget      *label;

    GtkWidget      *button1;
    GtkWidget      *button2;
    GtkWidget      *button3;

    gint            source_id;
} MMythUiCommon;

MMythUiCommon  *mmyth_uicommon_new(GtkWidget * main_widget,
                                   const gchar * label1,
                                   const gchar * label2,
                                   const gchar * label3);
void            mmyth_uicommon_free(MMythUiCommon * ui_common);

#endif                          /* MMYTH_UICOMMON_H_ */
